Trips
Dispatch trip
Dispatch an assigned trip in Alvys by trip ID, transitioning the trip from Assigned to Dispatched and notifying the driver on the mobile companion app.
POST
/
api
/
p
/
v
{version}
/
trips
/
{tripId}
/
dispatch
Dispatch trip
curl --request POST \
--url https://integrations.alvys.com/api/p/v{version}/trips/{tripId}/dispatch \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integrations.alvys.com/api/p/v{version}/trips/{tripId}/dispatch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://integrations.alvys.com/api/p/v{version}/trips/{tripId}/dispatch"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integrations.alvys.com/api/p/v{version}/trips/{tripId}/dispatch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://integrations.alvys.com/api/p/v{version}/trips/{tripId}/dispatch"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://integrations.alvys.com/api/p/v{version}/trips/{tripId}/dispatch")
.header("Authorization", "Bearer <token>")
.asString();{
"Id": "<string>",
"TripNumber": "<string>",
"Status": "<string>",
"LoadNumber": "<string>",
"Stops": [
{
"AppointmentRequested": true,
"AppointmentConfirmed": true,
"ScheduleType": "<string>",
"Id": "<string>",
"StopType": "<string>",
"References": [
{
"Name": "<string>",
"Value": "<string>",
"Id": "<string>",
"ReferenceId": "<string>",
"Type": "<string>",
"Access": "<string>",
"Origin": "<string>"
}
],
"$type": "<string>",
"AppointmentDate": "2023-11-07T05:31:56Z",
"LoadingType": "<string>",
"Address": {
"Street": "<string>",
"City": "<string>",
"State": "<string>",
"ZipCode": "<string>"
},
"Coordinates": {
"Latitude": "<string>",
"Longitude": "<string>"
},
"Status": "<string>",
"ArrivedAt": "2023-11-07T05:31:56Z",
"DepartedAt": "2023-11-07T05:31:56Z",
"CompanyId": "<string>",
"CompanyNumber": "<string>",
"CompanyName": "<string>"
}
],
"TotalMileage": {
"Distance": {
"Value": 123
},
"Source": "<string>",
"ProfileId": "<string>",
"ProfileName": "<string>"
},
"EmptyMileage": {
"Distance": {
"Value": 123
},
"Source": "<string>",
"ProfileId": "<string>",
"ProfileName": "<string>"
},
"LoadedMileage": {
"Distance": {
"Value": 123
},
"Source": "<string>",
"ProfileId": "<string>",
"ProfileName": "<string>"
},
"TripValue": {
"Amount": 123,
"Currency": 123
},
"CarrierPayOnHold": true,
"Truck": {
"Telemetry": {
"Coordinates": {
"Latitude": 123,
"Longitude": 123
},
"Timestamp": "2023-11-07T05:31:56Z"
},
"Id": "<string>",
"Fleet": {
"Id": "<string>",
"Name": "<string>",
"InvoiceNumberPrefix": "<string>"
}
},
"Trailer": {
"EquipmentType": "<string>",
"Telemetry": {
"Coordinates": {
"Latitude": 123,
"Longitude": 123
},
"Timestamp": "2023-11-07T05:31:56Z",
"SetpointTemperature": 123,
"ReturnAirTemperature": 123,
"SupplyAirTemperature": 123,
"ProbeTemperature": 123,
"ControlMode": "<string>",
"Power": "<string>",
"FuelPercent": 123
},
"Id": "<string>",
"EquipmentLength": {
"Value": 123
},
"Fleet": {
"Id": "<string>",
"Name": "<string>",
"InvoiceNumberPrefix": "<string>"
}
},
"OrderNumber": "<string>",
"TenderAs": "<string>",
"TenderAsSubsidiaryType": "<string>",
"RequiredEquipment": [
"<string>"
],
"Temperature": {
"SetpointTemperature": 123,
"SetpointTemperatureMax": 123,
"ControlMode": "<string>"
},
"PickupDate": "2023-11-07T05:31:56Z",
"DeliveryDate": "2023-11-07T05:31:56Z",
"PickedUpAt": "2023-11-07T05:31:56Z",
"DeliveredAt": "2023-11-07T05:31:56Z",
"CarrierAssignedAt": "2023-11-07T05:31:56Z",
"ReleasedAt": "2023-11-07T05:31:56Z",
"CarrierPaidAt": "2023-11-07T05:31:56Z",
"DueDate": "2023-11-07T05:31:56Z",
"Driver1": {
"Rates": [
{
"Rate": 123,
"RateType": "<string>",
"FreeUnit": 123,
"ExtraStops": 123,
"PerDiemRateType": "<string>",
"Source": "<string>"
}
],
"Id": "<string>",
"ContractorType": "<string>",
"Fleet": {
"Id": "<string>",
"Name": "<string>",
"InvoiceNumberPrefix": "<string>"
},
"AccessorialsDetails": [
{
"Id": "<string>",
"Type": "<string>",
"Total": {
"Amount": 123,
"Currency": 123
},
"Rate": {
"Amount": 123,
"Currency": 123
},
"RateType": "<string>",
"Uom": "<string>",
"Quantity": 123,
"IsPaid": true,
"CreatedAt": "2023-11-07T05:31:56Z",
"CreatedBy": "<string>",
"UpdatedAt": "2023-11-07T05:31:56Z",
"UpdatedBy": "<string>",
"ECheckNumber": "<string>",
"StopId": "<string>"
}
],
"EChecks": [
{
"Id": "<string>",
"CheckNumber": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
},
"Fee": {
"Amount": 123,
"Currency": 123
},
"Type": "<string>",
"IsPaid": true,
"CreatedAt": "2023-11-07T05:31:56Z"
}
],
"RatesV2": [
{
"PolicyId": "<string>",
"PolicyName": "<string>",
"TripValuePercentageRate": {
"Percentage": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"TripValuePercentageDeductionRate": {
"Percentage": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"FuelSurchargePercentageRate": {
"Percentage": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"CustomerLineHaulPercentageRate": {
"Percentage": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
],
"HideCalculationDetails": true
},
"CustomerLineHaulDeductionRate": {
"Percentage": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
],
"HideCalculationDetails": true
},
"PerTripRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
],
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"MileageType": "<string>"
},
"ServiceFeeRate": {
"Percentage": 123,
"FlatFee": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"StatementMinimumPayRate": {
"MinimumAmount": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"StatementBonusRate": {
"Amount": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"StatementPerDiemRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"MileageType": "<string>",
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"TotalMilesRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"LoadedMilesRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"EmptyMilesRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerStopRate": {
"Tiers": [
{
"Stops": 123,
"Rate": 123,
"FlatBonus": 123
}
],
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerLoadRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerCustomerStopRate": {
"Tiers": [
{
"Stops": 123,
"Rate": 123,
"FlatBonus": 123
}
],
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerHourRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerDayRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"DailyPerDiemRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"MileagePerDiemRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"MileageType": "<string>",
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerMileRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"MileageType": "<string>",
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerMileDeductionRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"MileageType": "<string>",
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"DailyMinimumPayRate": {
"DailyRate": 123,
"StartGraceHours": 123,
"EndGraceHours": 123,
"IncludeWaypoints": true,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerHourWithOvertimeRate": {
"BaseRate": 123,
"OtMultiplier": 123,
"WeeklyOtThreshold": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerWeightRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"RestBreaksRate": {
"PerBreakRate": 123,
"EveryNthHour": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
}
}
]
},
"Driver2": {
"Rates": [
{
"Rate": 123,
"RateType": "<string>",
"FreeUnit": 123,
"ExtraStops": 123,
"PerDiemRateType": "<string>",
"Source": "<string>"
}
],
"Id": "<string>",
"ContractorType": "<string>",
"Fleet": {
"Id": "<string>",
"Name": "<string>",
"InvoiceNumberPrefix": "<string>"
},
"AccessorialsDetails": [
{
"Id": "<string>",
"Type": "<string>",
"Total": {
"Amount": 123,
"Currency": 123
},
"Rate": {
"Amount": 123,
"Currency": 123
},
"RateType": "<string>",
"Uom": "<string>",
"Quantity": 123,
"IsPaid": true,
"CreatedAt": "2023-11-07T05:31:56Z",
"CreatedBy": "<string>",
"UpdatedAt": "2023-11-07T05:31:56Z",
"UpdatedBy": "<string>",
"ECheckNumber": "<string>",
"StopId": "<string>"
}
],
"EChecks": [
{
"Id": "<string>",
"CheckNumber": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
},
"Fee": {
"Amount": 123,
"Currency": 123
},
"Type": "<string>",
"IsPaid": true,
"CreatedAt": "2023-11-07T05:31:56Z"
}
],
"RatesV2": [
{
"PolicyId": "<string>",
"PolicyName": "<string>",
"TripValuePercentageRate": {
"Percentage": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"TripValuePercentageDeductionRate": {
"Percentage": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"FuelSurchargePercentageRate": {
"Percentage": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"CustomerLineHaulPercentageRate": {
"Percentage": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
],
"HideCalculationDetails": true
},
"CustomerLineHaulDeductionRate": {
"Percentage": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
],
"HideCalculationDetails": true
},
"PerTripRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
],
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"MileageType": "<string>"
},
"ServiceFeeRate": {
"Percentage": 123,
"FlatFee": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"StatementMinimumPayRate": {
"MinimumAmount": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"StatementBonusRate": {
"Amount": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"StatementPerDiemRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"MileageType": "<string>",
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"TotalMilesRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"LoadedMilesRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"EmptyMilesRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerStopRate": {
"Tiers": [
{
"Stops": 123,
"Rate": 123,
"FlatBonus": 123
}
],
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerLoadRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerCustomerStopRate": {
"Tiers": [
{
"Stops": 123,
"Rate": 123,
"FlatBonus": 123
}
],
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerHourRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerDayRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"DailyPerDiemRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"MileagePerDiemRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"MileageType": "<string>",
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerMileRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"MileageType": "<string>",
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerMileDeductionRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"MileageType": "<string>",
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"DailyMinimumPayRate": {
"DailyRate": 123,
"StartGraceHours": 123,
"EndGraceHours": 123,
"IncludeWaypoints": true,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerHourWithOvertimeRate": {
"BaseRate": 123,
"OtMultiplier": 123,
"WeeklyOtThreshold": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerWeightRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"RestBreaksRate": {
"PerBreakRate": 123,
"EveryNthHour": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
}
}
]
},
"OwnerOperator": {
"Id": "<string>",
"AccessorialsDetails": [
{
"Id": "<string>",
"Type": "<string>",
"Total": {
"Amount": 123,
"Currency": 123
},
"Rate": {
"Amount": 123,
"Currency": 123
},
"RateType": "<string>",
"Uom": "<string>",
"Quantity": 123,
"IsPaid": true,
"CreatedAt": "2023-11-07T05:31:56Z",
"CreatedBy": "<string>",
"UpdatedAt": "2023-11-07T05:31:56Z",
"UpdatedBy": "<string>",
"ECheckNumber": "<string>",
"StopId": "<string>"
}
],
"EChecks": [
{
"Id": "<string>",
"CheckNumber": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
},
"Fee": {
"Amount": 123,
"Currency": 123
},
"Type": "<string>",
"IsPaid": true,
"CreatedAt": "2023-11-07T05:31:56Z"
}
],
"RatesV2": [
{
"PolicyId": "<string>",
"PolicyName": "<string>",
"TripValuePercentageRate": {
"Percentage": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"TripValuePercentageDeductionRate": {
"Percentage": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"FuelSurchargePercentageRate": {
"Percentage": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"CustomerLineHaulPercentageRate": {
"Percentage": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
],
"HideCalculationDetails": true
},
"CustomerLineHaulDeductionRate": {
"Percentage": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
],
"HideCalculationDetails": true
},
"PerTripRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
],
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"MileageType": "<string>"
},
"ServiceFeeRate": {
"Percentage": 123,
"FlatFee": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"StatementMinimumPayRate": {
"MinimumAmount": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"StatementBonusRate": {
"Amount": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"StatementPerDiemRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"MileageType": "<string>",
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"TotalMilesRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"LoadedMilesRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"EmptyMilesRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerStopRate": {
"Tiers": [
{
"Stops": 123,
"Rate": 123,
"FlatBonus": 123
}
],
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerLoadRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerCustomerStopRate": {
"Tiers": [
{
"Stops": 123,
"Rate": 123,
"FlatBonus": 123
}
],
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerHourRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerDayRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"DailyPerDiemRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"MileagePerDiemRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"MileageType": "<string>",
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerMileRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"MileageType": "<string>",
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerMileDeductionRate": {
"Tiers": [
{
"Miles": 123,
"Rate": 123
}
],
"UseHighestTier": true,
"MileageType": "<string>",
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"DailyMinimumPayRate": {
"DailyRate": 123,
"StartGraceHours": 123,
"EndGraceHours": 123,
"IncludeWaypoints": true,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerHourWithOvertimeRate": {
"BaseRate": 123,
"OtMultiplier": 123,
"WeeklyOtThreshold": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"PerWeightRate": {
"Rate": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
},
"RestBreaksRate": {
"PerBreakRate": 123,
"EveryNthHour": 123,
"RateId": "<string>",
"RateName": "<string>",
"LineItems": [
{
"Description": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
}
}
]
}
}
]
},
"ReleasedBy": "<string>",
"DispatchedBy": "<string>",
"DispatcherId": "<string>",
"CarrierSalesAgentId": "<string>",
"Carrier": {
"Id": "<string>",
"Rate": {
"Amount": 123,
"Currency": 123
},
"Linehaul": {
"Amount": 123,
"Currency": 123
},
"Accessorials": {
"Amount": 123,
"Currency": 123
},
"TotalPayable": {
"Amount": 123,
"Currency": 123
},
"CarrierInvoiceNumber": "<string>",
"AccessorialsDetails": [
{
"Id": "<string>",
"Type": "<string>",
"Total": {
"Amount": 123,
"Currency": 123
},
"Rate": {
"Amount": 123,
"Currency": 123
},
"RateType": "<string>",
"Uom": "<string>",
"Quantity": 123,
"IsPaid": true,
"CreatedAt": "2023-11-07T05:31:56Z",
"CreatedBy": "<string>",
"UpdatedAt": "2023-11-07T05:31:56Z",
"UpdatedBy": "<string>",
"StopId": "<string>"
}
],
"EChecks": [
{
"Id": "<string>",
"CheckNumber": "<string>",
"Amount": {
"Amount": 123,
"Currency": 123
},
"Fee": {
"Amount": 123,
"Currency": 123
},
"Type": "<string>",
"IsPaid": true,
"CreatedAt": "2023-11-07T05:31:56Z"
}
]
},
"UpdatedAt": "2023-11-07T05:31:56Z",
"UpdatedBy": "<string>",
"IsDeleted": true,
"References": [
{
"Name": "<string>",
"Value": "<string>",
"Id": "<string>",
"ReferenceId": "<string>",
"Type": "<string>",
"Access": "<string>",
"Origin": "<string>"
}
]
}{
"Errors": {},
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}Authorizations
OAuth 2.0 client-credentials access token. Obtain one from https://auth.alvys.com/oauth/token (grant_type=client_credentials, audience=https://api.alvys.com/public/), then paste it here. The playground sends it as Authorization: Bearer <token>.
Path Parameters
API version (e.g., 1.0)
Example:
"1.0"
Response
OK
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Dispatch trip
